(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	$("document").ready(function(){
		$("#mwb_wwaylf_prod_sear").on('change',function(){
			var mwb_select_val = $("#mwb_wwaylf_prod_sear").val();
			if(mwb_select_val == 'top_rated')
			{
				$("#mwb_wwaylf_top_rated").show();
				$("#mwb_wwaylf_most_visited").hide();
				$("#mwb_wwaylf_most_ordered").hide();
			}
			else if( mwb_select_val == 'most_ordered')
			{
				$("#mwb_wwaylf_top_rated").hide();
				$("#mwb_wwaylf_most_visited").hide();
				$("#mwb_wwaylf_most_ordered").show();
			}
			else if(mwb_select_val == 'most_visited')
			{
				$("#mwb_wwaylf_top_rated").hide();
				$("#mwb_wwaylf_most_visited").show();
				$("#mwb_wwaylf_most_ordered").hide();
			}
			else
			{
				$("#mwb_wwaylf_top_rated").hide();
				$("#mwb_wwaylf_most_visited").hide();
				$("#mwb_wwaylf_most_ordered").hide();
			}
		});
		// MWB SIDEBAR ADD JS //
		jQuery( '.mwb_salebooster_wrapper' ).siblings( 'table, h2' ).wrapAll( '<div class="mwb_table"></div>' );
		jQuery( '<div class="clear"></div>' ).insertAfter( jQuery(document).find( '.mwb_table' ) );
	


		jQuery.ajax({
			'url' 	: 'http://demo.makewebbetter.com/api/get_feed.php',
			data 	: {
				'plugin_id'		: 'mwb_wwaylf',
				'plugin_count' 	: 3,
				'file_url' 		: 'http://demo.makewebbetter.com/api/feed.json'
			},
			type: "POST",
			dataType :'json',
			success : function(response)
			{
				var html = '';
				html += ' <div class="mwb_salebooster_wrapper"><div id="mwb_sidebar_action_panel"><span class="mwb_sidebar_heading">Hide Sidebar</span><span class="mwb_sidebar_action mwb_sidebar_hide dashicons dashicons-arrow-right"></span></div>  <div class="mwb_salebooster_adds"><div class="mwb_plugin_sale_head"><span><img src="'+mwb_wwaylf_dir_url+'/admin/images/logo.png" alt=""></span><h2>OUR FEATURE PRODUCTS</h2></div>';
				jQuery.each( response , function( key, value ){
					html += '<div class="mwb_plugins_list"><div class="mwb_booster_content"><div class="mwb_booster_content_head">';
					if( value.new_plugin == 'yes' ){
						html += '<img src="'+mwb_wwaylf_dir_url+'/admin/images/new.png">';
					}
					html += '<h2 class="mwb_heading_1">'+value.plugin_name+'</h2></div><div class="mwb_bosster_content_para_wrap"><div class="mwb_booster_content_para"><span>'+value.question+'</span></div><div class="mwb_booster_content_para"><span>'+value.answer+'</span></div></div>';

					html += '<div class="mwb_plugin_booster_amount">';
					if( value.price != '' ){
						html += '<h1>'+value.price+'</h1>';
					}
					html += '<div class="mwb_purchase_booster_pluginlink"><a href="<?php echo $value->landing_page; ?>">View More Features</a></div></div></div>';
					
				} );
				html += '</div></div>';
				console.log(html);
				jQuery( html ).insertAfter( jQuery( document ).find( '.mwb_table' ) );
			}	

		});

		jQuery( document ).on( 'click', '.mwb_sidebar_hide', function(){
			if( jQuery( document ).find( '.mwb_sidebar_hidden' ).length > 0 )
			{
				jQuery( '.mwb_salebooster_adds' ).removeClass('mwb_sidebar_hidden');
				jQuery( '.mwb_table' ).removeClass('mwb_table_full_width');
				jQuery( '.mwb_sidebar_hide' ).css( 'transform', 'rotate(360deg)' );
				jQuery( '.mwb_sidebar_heading' ).html( 'Hide Sidebar' );
			}
			else{
				jQuery( '.mwb_salebooster_adds' ).addClass('mwb_sidebar_hidden');
				jQuery( '.mwb_table' ).addClass('mwb_table_full_width');
				jQuery( '.mwb_sidebar_hide' ).css( 'transform', 'rotate(180deg)' );
				jQuery( '.mwb_sidebar_heading' ).html( 'Show Sidebar' );
			}
		} );
	});

})( jQuery );
