<?php
	settings_fields('mwb_wwaylf_general_setting');
	$mwb_wwaylf_get_settings = get_option('mwb_wwaylf_general_setting_option');
	$mwb_wwaylf_ord_act = 'mwb_display_none';
	$mwb_wwaylf_vst_act = 'mwb_display_none';
	$mwb_wwaylf_rat_act = 'mwb_display_none';
	if( isset($mwb_wwaylf_get_settings['prod_search']) && $mwb_wwaylf_get_settings['prod_search'] == 'most_visited' )
	{
		$mwb_wwaylf_vst_act = '';
	}
	elseif( isset($mwb_wwaylf_get_settings['prod_search']) && $mwb_wwaylf_get_settings['prod_search'] == 'most_ordered' )
	{
		$mwb_wwaylf_ord_act = '';
	}
	elseif( isset($mwb_wwaylf_get_settings['prod_search']) && $mwb_wwaylf_get_settings['prod_search'] == 'top_rated' )
	{
		$mwb_wwaylf_rat_act = '';
	}
?>
<table class="wp-list-table form-table">
	<tbody>
		<tr>
			<td width="30%"><?php _e('Select product type for searching','woocommerce-what-are-you-looking-for');?></td>
			<td>
				<select name="mwb_wwaylf_general_setting_option[prod_search]" id="mwb_wwaylf_prod_sear">
					<option value=""><?php _e('Select','woocommerce-what-are-you-looking-for');?></option>
					<option value="top_rated" <?php echo isset($mwb_wwaylf_get_settings['prod_search']) && $mwb_wwaylf_get_settings['prod_search'] == 'top_rated' ? "selected = 'selected'" : '';?>><?php _e('Top Rated Product','woocommerce-what-are-you-looking-for');?></option>
					<option value="most_ordered" <?php echo isset($mwb_wwaylf_get_settings['prod_search']) && $mwb_wwaylf_get_settings['prod_search'] == 'most_ordered' ? "selected = 'selected'" : '';?>><?php _e('Most Ordered Product','woocommerce-what-are-you-looking-for');?></option>
					<option value="most_visited" <?php echo isset($mwb_wwaylf_get_settings['prod_search']) && $mwb_wwaylf_get_settings['prod_search'] == 'most_visited' ? "selected = 'selected'" : '';?>><?php _e('Most Visited Product','woocommerce-what-are-you-looking-for');?></option>
				</select>
				<div class="mwb_wwaylf_descr"><?php _e('Select product type to show when no product is found','woocommerce-what-are-you-looking-for');?></div>
			</td>
		</tr>
		<tr id="mwb_wwaylf_top_rated" <?php echo !empty($mwb_wwaylf_rat_act) ? 'class="'.$mwb_wwaylf_rat_act.'"' :'';?>>
			<td width="30%"><?php _e('Enter Most Rated Limit','woocommerce-what-are-you-looking-for');?></td>
			<td>
				<?php _e('Average Rating >= ', 'woocommerce-what-are-you-looking-for');?>
				<input type="number" min="1" name="mwb_wwaylf_general_setting_option[most_rated_max]" value="<?php echo isset($mwb_wwaylf_get_settings['most_rated_max']) && !empty($mwb_wwaylf_get_settings['most_rated_max']) ? $mwb_wwaylf_get_settings['most_rated_max'] : '' ;?>">
				<div class="mwb_wwaylf_descr"><?php _e('This limit will be applied on average rating of the product','woocommerce-what-are-you-looking-for');?></div>
			</td>
		</tr>
		<tr id="mwb_wwaylf_most_visited" <?php echo !empty($mwb_wwaylf_vst_act) ? 'class="'.$mwb_wwaylf_vst_act.'"' :'';?>>
			<td width="30%"><?php _e('Enter Most Visited Limit','woocommerce-what-are-you-looking-for');?></td>
			<td>
				<?php _e('Product Visited >= ', 'woocommerce-what-are-you-looking-for');?>
				<input type="number" min="1" name="mwb_wwaylf_general_setting_option[most_visit_max]" value="<?php echo isset($mwb_wwaylf_get_settings['most_visit_max']) && !empty($mwb_wwaylf_get_settings['most_visit_max']) ? $mwb_wwaylf_get_settings['most_visit_max'] : '' ;?>">
				<div class="mwb_wwaylf_descr"><?php _e('This limit will be applied on product which visits greater than or equal to this limit','woocommerce-what-are-you-looking-for');?></div>
			</td>
		</tr>
		<tr id="mwb_wwaylf_most_ordered" <?php echo !empty($mwb_wwaylf_ord_act) ? 'class="'.$mwb_wwaylf_ord_act.'"' :'';?>>
			<td width="30%"><?php _e('Enter Most Ordered Limit','woocommerce-what-are-you-looking-for');?></td>
			<td>
				<?php _e(' Order Count >= ', 'woocommerce-what-are-you-looking-for');?>
				<input type="number" min="1" name="mwb_wwaylf_general_setting_option[most_order_max]" value="<?php echo isset($mwb_wwaylf_get_settings['most_order_max']) && !empty($mwb_wwaylf_get_settings['most_order_max']) ? $mwb_wwaylf_get_settings['most_order_max'] : '' ;?>">
				<div class="mwb_wwaylf_descr"><?php _e('This limit will be applied on product which have order count greater than or equal to this limit','woocommerce-what-are-you-looking-for');?></div>
			</td>
		</tr>
		<tr>
			<td width="30%"><?php _e('Enter Custom text when no product','woocommerce-what-are-you-looking-for');?></td>
			<td>
				<textarea name="mwb_wwaylf_general_setting_option[custom_text]" rows="4" cols="30"><?php echo isset($mwb_wwaylf_get_settings['custom_text']) && !empty($mwb_wwaylf_get_settings['custom_text']) ? $mwb_wwaylf_get_settings['custom_text'] : 'No products were found matching your selection. But below are some suggestion' ?></textarea>
				<div class="mwb_wwaylf_descr"><?php _e('This custom text will show when no product is found on searching','woocommerce-what-are-you-looking-for');?></div>
			</td>
		</tr>
		<tr>
			<td width="30%"><?php _e('Enter Time in Second to show looking popup','woocommerce-what-are-you-looking-for');?></td>
			<td>
				<input type="number" min="0" name="mwb_wwaylf_general_setting_option[second]" value="<?php echo isset($mwb_wwaylf_get_settings['second']) && !empty($mwb_wwaylf_get_settings['second']) ? $mwb_wwaylf_get_settings['second'] : '' ;?>">
				<div class="mwb_wwaylf_descr"><?php _e('Enter time in second to show what are you looking popup after this time','woocommerce-what-are-you-looking-for');?></div>
			</td>
		</tr>

	</tbody>	
</table>