<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://makewebbetter.com
 * @since      1.0.0
 *
 * @package    Woocommerce_What_Are_You_Looking_For
 * @subpackage Woocommerce_What_Are_You_Looking_For/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Woocommerce_What_Are_You_Looking_For
 * @subpackage Woocommerce_What_Are_You_Looking_For/includes
 * @author     MakeWebBetter <webmaster@makewebbetter.com>
 */
class Woocommerce_What_Are_You_Looking_For_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'woocommerce-what-are-you-looking-for',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
