(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

	$("document").ready(function(){
		$(".mwb_wwaylf_full").show();
		$(".mwb_wwaylf_close").on('click',function(){
			$(".mwb_wwaylf_full").hide();
		});
		var mwb_img_add = mwb_wwaylf_ajax_obj.backgrnd_img;
		$("#mwb_wwaylf_prod_purpose").css("background","url("+mwb_img_add+")");
		var mwb_wwaylf_prod_id='';
		$('.ajax_add_to_cart').on('click',function(){
			mwb_wwaylf_prod_id = $(this).data('product_id');
		});
		jQuery('body').on('added_to_cart',function() {
			var mwb_wwaylf_html = '';
			if(jQuery('body').find('#mwb_wwaylf_prod_ask').length != 0)
			{
				$("#mwb_wwaylf_prod_ask").show();
			}
			else
			{
				mwb_wwaylf_html = '<div class="mwb_wwaylf_full" id="mwb_wwaylf_prod_ask">\
			        <div id="mwb_wwaylf_prod_purpose">\
				        <div class="mwb_wwaylf_close">\
				          <a href="#">\
				            <i class="fa fa-times" aria-hidden="true"></i>\
				          </a>\
				        </div>\
				        <div class="mwb_wwaylf_title">\
				            '+mwb_wwaylf_ajax_obj.text_for_can_you+'\
				        </div>\
			            <form method="post" action="">\
			                <div class="mwb_wwaylf_email_sec">\
			                    <div class="form-group">\
				                    <input type="text" name="mwb_wwaylf_product_purpose_user" id="mwb_wwaylf_product_purpose_user" class="form-control">'+mwb_wwaylf_ajax_obj.mwb_wwaylf_nonce+'\
				                    <input type="hidden" name="mwb_wwaylf_product_id" value="'+mwb_wwaylf_prod_id+'">\
			                    </div>\
			                	<div class="form-group">\
			                    	<button type="submit" name="mwb_wwyalf_submit" class="btn btn-default">'+mwb_wwaylf_ajax_obj.text_for_submit+'</button>\
			                  	</div>\
			                </div>\
			            </form>\
			        </div>\
		      	</div>';
				jQuery('body').append(mwb_wwaylf_html);
				$("#mwb_wwaylf_prod_purpose").css("background","url("+mwb_img_add+")");
			}
    	});
    	$(document).on('click','.mwb_wwaylf_close',function(){
				$(".mwb_wwaylf_full").hide();
		});
	    $(document).on("keydown","#mwb_wwaylf_product_purpose_user",function (e) 
	    {
	        if ((e.shiftKey )) 
	        {
	            e.preventDefault();
	        }
	    });

	});

})( jQuery );
